// -*- C++ -*-

/* sheet_logsignals.h
 * 
 * Copyright (C) 2000 GtkExtra-- Development Team  
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef HEADER_SHEET_LOGSIGNALS
#define HEADER_SHEET_LOGSIGNALS

#include <iostream>
#include <string>

#include "gtk--.h"
#include <gtkextra--.h>

using SigC::bind;
using SigC::slot;

class Sheet_LogSignals : public GtkExtra::Sheet
{
public:
  Sheet_LogSignals(gint rows, gint columns, const nstring& title);
  virtual ~Sheet_LogSignals();
  
protected:

  //Signal handlers:
  virtual void on_resize_range(GtkSheetRange *old_range, GtkSheetRange *new_range);
  virtual void on_move_range(GtkSheetRange *old_range, GtkSheetRange *new_range);
  virtual gint on_traverse(gint row, gint col, gint *new_row, gint *new_col);
};

#endif //HEADER_SHEET_LOGSIGNALS
